# gnuplot script to visualize sensor data from 9DoF Stick
# Creates 3 graphs; one for each sensor
# Pauses between each graph until user hits any key
# Written by Chris Taylor for SparkFun Electronics 12/7/10

# Clear unwanted parameters
unset log
unset label

# Set up terminal (different for Mac and Linux!)
set term windows color noenhanced font "Arial, 10"

# Set graph parameters
set style data lines
set autoscale x
set xlabel "Milliseconds"
set ylabel "Raw Data"

# Plot HMC5343 Data
set title "Magnetometer Data" 

plot"WRITE04.txt" using 10:1 title 'mx', \
"WRITE04.txt" using 10:2 title 'my',  \
"WRITE04.txt" using 10:3 title 'mz'

#Wait
pause mouse any "Hit any key to see Accelerometer Data"

# Plot ADXL345 Data
set title "Accelerometer Data"

plot"WRITE04.txt" using 10:4 title 'ax', \
"WRITE04.txt" using 10:5 title 'ay',  \
"WRITE04.txt" using 10:6 title 'az'

# Wait
pause mouse any "Hit any key to see Gyro Data" 

# Plot ITG3200 Data
set title "Gyro Data"

plot"WRITE04.txt" using 10:7 title 'gx', \
"WRITE04.txt" using 10:8 title 'gy',  \
"WRITE04.txt" using 10:9 title 'gz'
